Name:      ibus-qt4
Summary:   ibus qt4 input method plugin
Version:   1.3.3
Release:   %mkrel 19
Group:     System/Internationalization
License:   GPLv2+
URL:       https://code.google.com/p/ibus/
Source0:   https://github.com/ibus/ibus-qt/releases/download/%{version}/ibus-qt-%{version}-Source.tar.gz
BuildRequires:	qt4-devel >= 4.4
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	cmake
BuildRequires:	icu-devel
BuildRequires:	pkgconfig(ibus-1.0) >= 1.3.0
BuildRequires:	doxygen
Requires:	ibus >= 1.3.0

%description
IBus is a next generation input framework.
This package contains qt4 input method plugin.

%package devel
Group: System/Internationalization
Summary: Development files for ibus-qt
Requires: %name = %version

%description devel
This package contains development files for ibus-qt.

%prep
%setup -q -n ibus-qt-%{version}-Source

%build
%cmake_qt4 -DLIBDIR="%_libdir"
%cmake_build

%install
%cmake_install

rm -fr %buildroot%_datadir/doc

%files
%doc AUTHORS README
%{_libdir}/libibus-qt.so.*
%{qt4plugins}/inputmethods/libqtim-ibus.so

%files devel
%{_includedir}/ibus-qt
%{_libdir}/*.so


%changelog
* Sat Jan 07 2023 squidf <squidf> 1.3.3-19.mga9
+ Revision: 1931125
- Mass rebuild for icu 72.1

* Sat Jun 18 2022 squidf <squidf> 1.3.3-18.mga9
+ Revision: 1864859
- rebuild for icu 71.1

* Sun Apr 03 2022 umeabot <umeabot> 1.3.3-17.mga9
+ Revision: 1841494
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1.3.3-16.mga9
+ Revision: 1738932
- rebuild for icu

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.3.3-15.mga8
+ Revision: 1650889
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 1.3.3-14.mga8
+ Revision: 1601028
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 1.3.3-13.mga8
+ Revision: 1564464
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 1.3.3-12.mga8
+ Revision: 1534626
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Oct 05 2019 daviddavid <daviddavid> 1.3.3-11.mga8
+ Revision: 1449487
- rebuild for new icu 65.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.3.3-10.mga7
+ Revision: 1346096
- rebuild for icu

* Tue Aug 28 2018 daviddavid <daviddavid> 1.3.3-9.mga7
+ Revision: 1255159
- rebuild for new icu
+ kekepower <kekepower>
- Use new make macros

* Fri Dec 29 2017 wally <wally> 1.3.3-8.mga7
+ Revision: 1186977
- rebuild for new icu

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.3.3-7.mga6
+ Revision: 1092700
- Rebuild for icu-58.2

* Sat May 14 2016 shlomif <shlomif> 1.3.3-6.mga6
+ Revision: 1015290
- Rebuild for the new UCI (new major)

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.3.3-5.mga6
+ Revision: 917904
- rebuild for icu

* Sat Jul 25 2015 cjw <cjw> 1.3.3-4.mga6
+ Revision: 857357
- rebuild for icu 55

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-3.mga5
+ Revision: 751215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 680419
- Mageia 5 Mass Rebuild

* Tue May 06 2014 yochenhsieh <yochenhsieh> 1.3.3-1.mga5
+ Revision: 620397
- new version 1.3.3

* Sat Apr 05 2014 wally <wally> 1.3.1-11.mga5
+ Revision: 611999
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 1.3.1-10.mga4
+ Revision: 537664
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 1.3.1-9.mga4
+ Revision: 487465
- rebuild for icu 52

* Sun May 26 2013 fwang <fwang> 1.3.1-8.mga4
+ Revision: 427972
- rebuild for new icu

* Sat Jan 12 2013 umeabot <umeabot> 1.3.1-7.mga3
+ Revision: 354077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 1.3.1-6.mga3
+ Revision: 316639
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 1.3.1-5.mga3
+ Revision: 314772
- rebuild for new icu

* Wed May 30 2012 fwang <fwang> 1.3.1-4.mga3
+ Revision: 249536
- rebuild for new icu

* Mon Jun 20 2011 fwang <fwang> 1.3.1-3.mga2
+ Revision: 110332
- rebuild for new icu

* Fri Mar 18 2011 tv <tv> 1.3.1-2.mga1
+ Revision: 73587
- imported package ibus-qt4


* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 1.3.1-2mdv2011.0
+ Revision: 644572
- rebuild for new icu

* Sun Feb 06 2011 Funda Wang <fwang@mandriva.org> 1.3.1-1
+ Revision: 636395
- new version 1.3.1

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2011.0
+ Revision: 611137
- rebuild

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 1.3.0-1mdv2010.1
+ Revision: 538860
- new version 1.3.0

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20091216-2mdv2010.1
+ Revision: 526140
- rebuild for new icu

* Thu Dec 17 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091216-1mdv2010.1
+ Revision: 479641
- add devel package
- new version 1.2.0.20091216

* Sun Dec 06 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091206-1mdv2010.1
+ Revision: 474123
- new version 1.2.0.20091206

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091014-1mdv2010.1
+ Revision: 460620
- add back libdir
- fix build
- New version 1.2.0.20091014

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090728-3mdv2010.0
+ Revision: 411097
- fix file list
- refresh tarball

* Tue Aug 04 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090728-2mdv2010.0
+ Revision: 408930
- BR dbus
- import ibus-qt4

